//go:build windows

package installer

import (
	"gitgud.io/mike/mpv-manager/pkg/platform"
)

// NewInstallationHandler creates a new installation handler for Windows
func NewInstallationHandler(p *platform.Platform, inst *Installer) *InstallationHandler {
	handler := &InstallationHandler{
		Platform:  p,
		Installer: inst,
	}
	handler.PlatformInstaller = NewWindowsInstaller(inst, p)
	return handler
}
